A awsvpnclient/.README.un~ => awsvpnclient/.README.un~ +0 -0
A awsvpnclient/README => awsvpnclient/README +6 -0
@@ 0,0 1,6 @@
+AWS Client VPN is a fully managed, elastic VPN service that
+automatically scales up or down based on user demand. Because
+it is a cloud VPN solution, you don't need to install and
+manage hardware or software-based solutions, or try to
+estimate how many remote users to support at one time.
+
A awsvpnclient/awsvpnclient.SlackBuild => awsvpnclient/awsvpnclient.SlackBuild +102 -0
@@ 0,0 1,102 @@
+#!/bin/bash
+
+# Slackware build script for awsvpnclient
+
+# Copyright 2023 Frederic Galusik France, Bordeaux
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=awsvpnclient
+VERSION=${VERSION:-3.4.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ x86_64) ARCH=x86_64 ;;
+ *) echo "Package for $(uname -m) architecture is not available." ; exit 1 ;;
+ esac
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/awsvpnclient_amd64.deb data.tar.xz | tar xJv
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# create soft link for launcher
+mkdir -p $PKG/usr/bin
+ln -sf ../../opt/$PRGNAM/AWS\ VPN\ Client $PKG/usr/bin/$PRGNAM
+
+# Apply patch to fix desktop file for KDE and to respect rules
+patch -s "$PKG/usr/share/applications/awsvpnclient.desktop" "$CWD/awsvpnclient.desktop.patch"
+
+# Apply Arch Linux patch for broken ICU detection, no localisation
+patch -s "$PKG/opt/awsvpnclient/AWS VPN Client.runtimeconfig.json" "$CWD/awsvpnclient.runtimeconfig.json.patch"
+patch -s "$PKG/opt/awsvpnclient/Service/ACVC.GTK.Service.runtimeconfig.json" "$CWD/awsvpnclient.runtimeconfig.json.patch"
+
+# remove systemd stuff
+rm -rf $PKG/etc
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/doc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/awsvpnclient.desktop.patch > $PKG/usr/doc/$PRGNAM-$VERSION/awsvpnclient.desktop.patch
+cat $CWD/awsvpnclient.runtimeconfig.json.patch > $PKG/usr/doc/$PRGNAM-$VERSION/awsvpnclient.runtimeconfig.json.patch
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
A awsvpnclient/awsvpnclient.desktop.patch => awsvpnclient/awsvpnclient.desktop.patch +18 -0
@@ 0,0 1,18 @@
+--- awsvpnclient.desktop.o 2023-04-23 17:16:11.856418896 +0200
++++ awsvpnclient.desktop 2023-04-23 17:17:57.182744613 +0200
+@@ -1,12 +1,10 @@
+ [Desktop Entry]
+ Type=Application
+-Encoding=UTF-8
+ Name=AWS VPN Client
+-Comment=AWS VPN Client
+-Exec=/opt/awsvpnclient/AWS\ VPN\ Client %u
++Exec=/opt/awsvpnclient/AWS\\ VPN\\ Client %u
+ Path=/opt/awsvpnclient
+-Icon=acvc-64.png
++Icon=acvc-64
+ Terminal=false
+-Categories=Network;VPN;
++Categories=Network;
+ Keywords=vpn;aws;
+
A awsvpnclient/awsvpnclient.info => awsvpnclient/awsvpnclient.info +10 -0
@@ 0,0 1,10 @@
+PRGNAM="awsvpnclient"
+VERSION="3.4.0"
+HOMEPAGE="https://aws.amazon.com/vpn/"
+DOWNLOAD="https://d20adtppz83p9s.cloudfront.net/GTK/3.4.0/awsvpnclient_amd64.deb"
+MD5SUM="11348873f32408f74ebd0fbafaa3ff2f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Frederic Galusik"
+EMAIL="f@galusik.fr"
A awsvpnclient/awsvpnclient.runtimeconfig.json.patch => awsvpnclient/awsvpnclient.runtimeconfig.json.patch +11 -0
@@ 0,0 1,11 @@
+--- "AWS VPN Client.runtimeconfig.json" 2022-04-19 12:43:28.876647215 +0200
++++ "AWS VPN Client.runtimeconfig copy.json" 2022-04-19 12:44:11.735426127 +0200
+@@ -1,5 +1,8 @@
+ {
+ "runtimeOptions": {
++ "configProperties": {
++ "System.Globalization.Invariant": true
++ },
+ "tfm": "netcoreapp3.1",
+ "includedFrameworks": [
+ {
A awsvpnclient/awsvpnclient_amd64.deb => awsvpnclient/awsvpnclient_amd64.deb +0 -0
A awsvpnclient/doinst.sh => awsvpnclient/doinst.sh +9 -0
@@ 0,0 1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
A awsvpnclient/slack-desc => awsvpnclient/slack-desc +19 -0
@@ 0,0 1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+awsvpnclient: awsvpnclient (AWS VPN Client)
+awsvpnclient:
+awsvpnclient: AWS Client VPN is a fully managed, elastic VPN service that
+awsvpnclient: automatically scales up or down based on user demand.
+awsvpnclient:
+awsvpnclient:
+awsvpnclient:
+awsvpnclient:
+awsvpnclient:
+awsvpnclient:
+awsvpnclient: